aboutsummaryrefslogtreecommitdiff
path: root/src/test/test_zero_length_keys.sh
diff options
context:
space:
mode:
authorteor <teor@torproject.org>2019-10-18 18:00:00 +1000
committerteor <teor@torproject.org>2019-10-20 19:26:59 +1000
commit012c44538ce15a3e45d6cdea0935062bdcaf5bf4 (patch)
treec15e3ffe3f7068bf538326352729ae5ebf9d1b8f /src/test/test_zero_length_keys.sh
parente2280d6f849ea6e00fccc704e91d48a2f6924135 (diff)
downloadtor-012c44538ce15a3e45d6cdea0935062bdcaf5bf4.tar.gz
tor-012c44538ce15a3e45d6cdea0935062bdcaf5bf4.zip
test: Skip test scripts that require the relay module
When tor is built without the relay module. Part of 32123.
Diffstat (limited to 'src/test/test_zero_length_keys.sh')
-rwxr-xr-xsrc/test/test_zero_length_keys.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/src/test/test_zero_length_keys.sh b/src/test/test_zero_length_keys.sh
index 84ca513b0a..eeabab352d 100755
--- a/src/test/test_zero_length_keys.sh
+++ b/src/test/test_zero_length_keys.sh
@@ -1,6 +1,11 @@
#!/bin/sh
# Check that tor regenerates keys when key files are zero-length
+if "${builddir:-.}/src/app/tor" --list-modules | grep -q "relay: no"; then
+ echo "This test requires the relay module. Skipping." >&2
+ exit 77
+fi
+
exitcode=0
"${SHELL:-sh}" "${abs_top_srcdir:-.}/src/test/zero_length_keys.sh" "${builddir:-.}/src/app/tor" -z || exitcode=1